//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Data/ProjectionItems.cpp
//! @brief     Implements items related to projections over color map.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Model/Data/ProjectionItems.h"
#include "GUI/Model/Device/MaskItems.h"

ProjectionContainerItem::ProjectionContainerItem()
    : MaskItemObject(M_TYPE)
{
    const QString T_CHILDREN = "children tag";
    registerTag(T_CHILDREN, 0, -1, {HorizontalLineItem::M_TYPE, VerticalLineItem::M_TYPE});
    setDefaultTag(T_CHILDREN);
}
