#include "GUI/Util/Path.h"
#include "Tests/GTestWrapper/google_test.h"

class TestHelpers : public ::testing::Test {};

TEST_F(TestHelpers, VersionString)
{
    int vmajor(0), vminor(0), vpatch(0);

    EXPECT_EQ(true, GUI::Util::Path::parseVersion("1.5.0", vmajor, vminor, vpatch));
    EXPECT_EQ(1, vmajor);
    EXPECT_EQ(5, vminor);
    EXPECT_EQ(0, vpatch);

    EXPECT_FALSE(GUI::Util::Path::parseVersion("15.0", vmajor, vminor, vpatch));

    QString min_version("1.5.0");
    EXPECT_TRUE(GUI::Util::Path::isVersionMatchMinimal("1.5.0", min_version));
    EXPECT_TRUE(GUI::Util::Path::isVersionMatchMinimal("1.5.1", min_version));
    EXPECT_TRUE(GUI::Util::Path::isVersionMatchMinimal("1.6.0", min_version));
    EXPECT_TRUE(GUI::Util::Path::isVersionMatchMinimal("2.4.9", min_version));

    EXPECT_FALSE(GUI::Util::Path::isVersionMatchMinimal("1.4.9", min_version));
    EXPECT_FALSE(GUI::Util::Path::isVersionMatchMinimal("0.6.9", min_version));
}
